<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  ***********/

$titulo = INGENIO_NOMBRE." ".INGENIO_VERSION;
$archivo="informacion.php";

/******* CONFIGURACION FIN ********/

	// registros mostrados por pagina
	// maximos 100
	$num_mostrar = CONFIG_28 > 100 ? 100 : CONFIG_28;
	
	if (!isset ($_GET["in"])){
		$ini="0";
	} else {
		$ini=$_GET["in"];
	}
	if (!isset ($_GET["mt"])){
		$mostrar=$num_mostrar;
	} else {
		$mostrar=$_GET["mt"];
	}

	if (!isset ($_GET["pg"])){
		$pagina="1";
	} else {
		$pagina=$_GET["pg"];
	}


?>

<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<?php echo '<meta http-equiv="content-type" content="text/html; charset='.CONFIG_2.'" />'; ?>
<title><?php echo $titulo; ?></title>
<?php include("inc.head.php"); ?>

</head>

<body>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">

<?php include("inc.copy.php"); ?>

<div class="contenido">

<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_funciones.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_248; ?></span>
</div>

<?php
	
	// rotulo
	echo '<div class="rotulo">'.LEN_ADMIN_438.' '.INGENIO_NOMBRE.'</div>';	
	 

	// mostrar informacion de cabecera	
	echo '<div style="margin-left: 25px; padding-left: 25px; border-left: 1px solid #DEDEDE;">';
	echo INGENIO_CREDITOS;
	echo '</div>';
	
	// paquetes
	echo '<br /><br /><br />';
	echo '<div class="div_destacar_grupos">';
	echo '<span class="rotulo_st">'.LEN_ADMIN_439.'</span>';
	echo '<div style="margin: 4px 0 25px 0; border-top: 1px dashed #000;"></div>';

	$qit1 = myquery("SELECT * FROM ".INFO." ORDER BY infoID DESC");
	$q_info = myquery("SELECT * FROM ".INFO." ORDER BY infoID DESC LIMIT ".$ini.",".$mostrar."");
	while ($row_info = myfetch($q_info))
	{

		echo '<div class="estad_diario">';
		echo '<span class="rotulo_st">'.$row_info["paq"].'</span>';
		echo '<div style="margin: 10px 0 15px 25px;">'.$row_info["paq_desc"].'</div>';
		echo '<span class="rotulo_nom_st">Created by: '.$row_info["paq_credit"].'<br />';
		echo 'Version:</span> '.$row_info["paq_version"];
		echo '<div style="text-align: right;margin-top: 10px;color: #DEDEDE;">'.$row_info["date_instal"].'</div>';
		echo '</div>';
		
	}
	
	echo '</div>';

		// paginacion
		$totalres = mynumrows($qit1);
		// paginas
		$antes=$ini-$mostrar;
		$sigue=$ini+$mostrar;
		// lo que queda por mostrar
		$resto=$totalres-$ini;
?>

<?php
/******************* PAGINAS PAQUETES ***********************/

	if ($totalres>0 && $totalres>$mostrar)
	{
?>
<div class="paginas_list">
<?php

		if ($ini > 0)
		{
			echo'<a href="'. $archivo .'?in=' .$antes. '&mt=' . $mostrar . '&pg=' . ($pagina-1) . '" class="">'.LEN_ADMIN_139.'</a>';
		}

		echo '&nbsp;&nbsp;';
		echo LEN_ADMIN_141.'&nbsp;&nbsp;';
		echo '<select name="pag" onChange="selec(\'self\',this,0)">';
		
		$numpag=ceil($totalres/$mostrar);

		for($i=1;$i<=$numpag;$i++)
		{
			echo '<option value="'. $archivo .'?in=';
			if ($i==1)
			{ 
				echo '0';
			} else if ($i>=2)
			{
				echo $mostrar*($i-1);
			}
			echo '&mt=' . $mostrar . '&pg=' . $i ;
			if ($i==$pagina)
			{
				echo '" selected>';
			} else { 
				echo '">';
			}
			echo  $i . '</option>';
		}

		echo '</select>';
		echo '&nbsp;&nbsp;';

		if ($resto>$mostrar)
		{
			echo'<a href="'. $archivo .'?in=' . $sigue . '&mt=' . $mostrar . '&pg=' . ($pagina+1) . '" class="">'.LEN_ADMIN_140.'</a>';
		}

?>
</div>
<?php
	} else {
		
		echo '<div class="paginas_list"></div>';
	
	} // del if $totalres>0 && $totalres>$mostrar

/******************* FIN PAGINAS PAQUETES ***********************/
?>

</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>